Skip to content

CollatrlTrackingType⁠

Perform various operations for Symitar parameters.

Operations⁠

getCollatrlTrackingTypeSelectFields⁠

POST

Execute the persistent ParameterService getCollatrlTrackingTypeSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollatrlTrackingTypeRecordSelectionintegeroptional
CollatrlTrackingTypeTrackingTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getCollatrlTrackingTypeSelectFields
POST /nexum/627/persistent/parameter/getCollatrlTrackingTypeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "CollatrlTrackingTypeRecordSelection": 0,
  "CollatrlTrackingTypeTrackingType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllCollatrlTrackingTypeFields": true,
    "CollatrlTrackingTypeFields": {
      "Description": true,
      "ParentClosingOption": true,
      "RecordSelection": true,
      "TrackingType": true,
      "UserRate20": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCollatrlTrackingTypePagedListSelectFields⁠

POST

Execute the persistent ParameterService getCollatrlTrackingTypePagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getCollatrlTrackingTypePagedListSelectFields
POST /nexum/627/persistent/parameter/getCollatrlTrackingTypePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCollatrlTrackingTypeFields": true,
    "CollatrlTrackingTypeFields": {
      "Description": true,
      "ParentClosingOption": true,
      "RecordSelection": true,
      "TrackingType": true,
      "UserRate20": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchCollatrlTrackingTypePagedSelectFields⁠

POST

Execute the persistent ParameterService searchCollatrlTrackingTypePagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchCollatrlTrackingTypePagedSelectFields
POST /nexum/627/persistent/parameter/searchCollatrlTrackingTypePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCollatrlTrackingTypeFields": true,
    "CollatrlTrackingTypeFields": {
      "Description": true,
      "ParentClosingOption": true,
      "RecordSelection": true,
      "TrackingType": true,
      "UserRate20": [
        0
      ]
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateCollatrlTrackingTypeByID⁠

POST

Execute the persistent ParameterService updateCollatrlTrackingTypeByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollatrlTrackingTypeRecordSelectionintegeroptional
CollatrlTrackingTypeTrackingTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateCollatrlTrackingTypeByID
POST /nexum/627/persistent/parameter/updateCollatrlTrackingTypeByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "CollatrlTrackingTypeRecordSelection": 0,
  "CollatrlTrackingTypeTrackingType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "CollatrlTrackingTypeFields": {
    "Description": "string",
    "ParentClosingOption": true,
    "RecordSelection": 0,
    "TrackingType": 0,
    "UserRate20": [
      {
        "EntryId": 0,
        "UserRate20": "string"
      }
    ]
  },
  "nxAttributes": {
    "customFields": {}
  }
}